<form [formGroup]="fileFormGroup">   
    <div class="form-group">
        <input 
            style="display: none;" 
            #fileInput
            formControlName="file"
            id="fileUpload" 
            type="file" 
            (change)="onFileChange($event)">
    </div>
</form>
<div class="d-flex justify-content-end mb-3">
    <button 
        class="btn btn-primary mr-2" 
        (click)="fileInput.click()">
        Upload Object
    </button>
    <button 
        class="btn btn-danger" 
        (click)="openConfirmModal(objectDeleteModal)" 
        [disabled]="objectStore.objects.length <= 0">
        Delete Object
    </button>

    <ng-template 
        #objectDeleteModal 
        let-modal>
    <div class="modal-header">
      <h4>Delete Object</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">×</span>
      </button>
    </div>
    <div class="modal-body">
      Do you really want to delete this object?
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-danger mr-2" (click)="onDeleteObject(bucket.id)">Delete</button>
      <button type="button" class="btn btn-primary" (click)="modal.close('Save click')">Cancel</button>
    </div>
  </ng-template>
</div>
<div 
    class="table-responsive" 
    style="border: 1px solid #ededed" 
    *ngIf="objectStore.objects.length > 0">
    <table class="table mb-0">
        <thead class="thead-light">
          <tr>
            <th scope="col">Name</th>
            <th scope="col">Last modified</th>
            <th scope="col">Size</th>
          </tr>
        </thead>
        <tbody>
            <tr *ngFor="let objectEl of objectStore.objects" (click)="onSelectedObject(objectEl)" [class.active]="selected == objectEl">
                <td>{{objectEl.name}}</td>
                <td>{{objectEl.last_modified | date:'dd.MM.yyyy'}}</td>
                <td>{{ objectStore.convertBytes(objectEl.size) }}</td>
            </tr>
        </tbody>
    </table>
</div>

